### Home Classes Methods

### In Files

- lib/graphviz/constants.rb

### Methods

- ::getAttrsFor

### Files

- AUTHORS
- COPYING
- README.rdoc

### Class/Module Index

Quicksearch

- GraphViz
- GraphViz::Attrs
- GraphViz::Edge
- GraphViz::Elements
- GraphViz::Ext
- GraphViz::FamilyTree
- GraphViz::FamilyTree::Couple
- GraphViz::FamilyTree::Generation
- GraphViz::FamilyTree::Person
- GraphViz::FamilyTree::Sibling
- GraphViz::GraphML
- GraphViz::Math
- GraphViz::Math::CoordinateError
- GraphViz::Math::Matrix
- GraphViz::Math::ValueError
- GraphViz::Node
- GraphViz::Theory
- GraphViz::Types
- GraphViz::Types::Common
- GraphViz::Types::EscString
- GraphViz::Types::GvDouble
- GraphViz::Types::HtmlString
- GraphViz::Types::LblString
- GraphViz::XML
- Constants
- GVUtils
- Hash
- Object
- String

No matching classes.

# Constants

Constants for ruby-graphviz

Constants::FORMATS: the possible output formats

    "bmp", "canon", "dot", "xdot", "cmap", "dia", "eps",
    "fig", "gd", "gd2", "gif", "gtk", "hpgl", "ico", "imap",
    "cmapx", "imap_np", "cmapx_np", "ismap", "jpeg", "jpg",
    "jpe", "mif", "mp", "pcl", "pdf", "pic", "plain",
    "plain-ext", "png", "ps", "ps2", "svg", "svgz", "tga",
    "tiff", "tif", "vml", "vmlz", "vrml", "vtx", "wbmp",
    "xlib", "none"

Constants::PROGRAMS: The possible programs

    "dot", "neato", "twopi", "fdp", "circo"

Constants::GRAPHTYPE The possible types of graph

    "digraph", "graph"

The single letter codes used in constructors map as follows:

    G => The root graph, with GRAPHATTRS
    E => Edge, with EDGESATTRS
    N => Node, with NODESATTRS
    S => subgraph
    C => cluster

### Constants

EDGESATTRS

  Const: Edge attributs

FORMATS

  Const: Output formats

GENCS_ATTRS

  E, N, G, S and C represent edges, nodes, the root graph, subgraphs and cluster subgraphs, respectively

GRAPHSATTRS

  Const: Graph attributs

GRAPHTYPE

  Const: graphs type

NODESATTRS

  Const: Node attributs

PROGRAMS

  Const: programs

RGV_VERSION

### Public Class Methods

getAttrsFor( x ) click to toggle source

    # File lib/graphviz/constants.rb, line 110
    def self.getAttrsFor( x )
      list = {}
      GENCS_ATTRS.each { |k,v|
        list[k] = v[:type] if x.match( v[:usedBy] ) and not list.keys.include?(k)
      }
      list
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.